Bug 508679 - Missing all the UI translations
Missing all the UI translations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnumeric (Show other bugs)
12
i586 Linux
low Severity high
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-06-29 09:19 EDT by RJ
Modified: 2010-08-17 01:50 EDT (History)
6 users (show)

See Also:
Fixed In Version: gnumeric-1.8.4-7.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 01:50:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RJ 2009-06-29 09:19:23 EDT
Description of problem:
subj

Version-Release number of selected component (if applicable):
1.8.4

How reproducible:
alwayse

Steps to Reproduce:
1. install Fedora 11 and enable russian language

  
Actual results:

Expected results:
gnumeric starts with russian language gui

Additional info:

if I try "LANG="ru_RU.UTF-8" gnumeric" nothing happens.
Comment 1 RJ 2009-06-29 09:24:17 EDT
current locale is:
$ locale
LANG=ru_RU.UTF-8
LC_CTYPE="ru_RU.UTF-8"
LC_NUMERIC="ru_RU.UTF-8"
LC_TIME="ru_RU.UTF-8"
LC_COLLATE="ru_RU.UTF-8"
LC_MONETARY="ru_RU.UTF-8"
LC_MESSAGES="ru_RU.UTF-8"
LC_PAPER="ru_RU.UTF-8"
LC_NAME="ru_RU.UTF-8"
LC_ADDRESS="ru_RU.UTF-8"
LC_TELEPHONE="ru_RU.UTF-8"
LC_MEASUREMENT="ru_RU.UTF-8"
LC_IDENTIFICATION="ru_RU.UTF-8"
LC_ALL=
Comment 2 Mikko Sorri 2009-07-20 04:35:23 EDT
Same problem here.

All other programs in my Fedora system work in Finnish language but Gnumeric not, it's in English.
Comment 3 RJ 2009-10-13 07:00:16 EDT
any fixes?
Comment 4 Mario Blättermann 2009-11-01 07:04:04 EST
I encountered the same for the German locale. Gnumeric contains only *.mo files for the functions, not for the GUI itself. And the functions are widely untranslated anyway (see http://l10n.gnome.org/module/gnumeric/)
I was searching in the gnumeric-devel package. Perhaps it could be that the missing files are there in by accidence, but no results.
To the package maintainer: F12 is to come in a few days, should it ship a broken Gnumeric package...?
Comment 5 Mario Blättermann 2009-11-01 07:26:07 EST
I've now installed Gnumeric from the sources. Same problem. There are only *.mo files for the functions. That's a bug in the (quite old) stable package 1.8.4. Don't think that anybody would fix this. The most distributions are already switched to current development versions 1.9.x. Now I will try to install this. Stay tuned...
Comment 6 Mario Blättermann 2009-11-01 08:37:23 EST
Just installed the current dev package 1.9.14 from sources. Works fine, including translation, and whithout any patches. I recommend to update the package to this version. It depends on libgsf >= 1.4.15, which is already provided from the Rawhide packages, and gnome-office >= 0.7.14, which have to be updated before (current is 0.6.6).
Comment 8 Benjamín Valero Espinosa 2009-12-09 14:38:54 EST
No news from the packager? Any way to help?
Comment 9 Huzaifa S. Sidhpurwala 2009-12-09 21:10:56 EST
Hi Benjamin,
I have already updated gnumeric 1.9 to rawhide now, but i guess you dont want to update?
I will look at this today, sorry for the delay.
Comment 10 Benjamín Valero Espinosa 2009-12-10 03:35:34 EST
Thank you very much! I have no problem with it but it was my wife who found the surprise, and her English is not very good (as mine).
Comment 11 Huzaifa S. Sidhpurwala 2009-12-14 01:26:10 EST
Hi,
I did a scratch build and it seems to work for me, can you please test and let me know so that i can commit, Thanks

http://koji.fedoraproject.org/koji/taskinfo?taskID=1871072
Comment 12 RJ 2009-12-14 02:51:21 EST
I'm running Fedora 12 now...
Comment 13 Huzaifa S. Sidhpurwala 2009-12-14 03:34:34 EST
Cool,
here is the f12 build, can you try that please?

http://koji.fedoraproject.org/koji/taskinfo?taskID=1871134
Comment 14 RJ 2009-12-14 03:59:18 EST
Works fine, all menus are in Russian now. Thank you.
Comment 15 Benjamín Valero Espinosa 2009-12-15 01:59:22 EST
Works great for me in Spanish. Thanks!
Comment 16 Joachim Katzer 2010-04-30 15:13:36 EDT
Works fine for me in German too.
But why was this version 1.8.4-7 not released to the F12 updates repos after more than 4 months?
Comment 17 Fedora Update System 2010-08-05 18:16:39 EDT
gnumeric-1.8.4-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnumeric-1.8.4-7.fc12
Comment 18 Fedora Update System 2010-08-06 17:05:12 EDT
gnumeric-1.8.4-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnumeric'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnumeric-1.8.4-7.fc12
Comment 19 Fedora Update System 2010-08-17 01:50:08 EDT
gnumeric-1.8.4-7.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.